Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.geom.mesh
Class PlaneSelector

    java.lang.Object
      toxi.geom.mesh.VertexSelector
          toxi.geom.mesh.PlaneSelector

    public class PlaneSelector

extends VertexSelector

A `VertexSelector` implementation for selecting vertices in relation to a given `Plane`. Using a plane `Plane.Classifier` vertices can be selected either: on the plane, in front or behind. A tolerance for this check can be given too.

Field Summary
`Plane.Classifier` | `classifier`
`Plane` | `plane`
`float` | `tolerance`

Constructor Summary
`PlaneSelector(Mesh3D mesh, Plane plane, Plane.Classifier classifier)`
`PlaneSelector(Mesh3D mesh, Plane plane, Plane.Classifier classifier, float tolerance)`

Method Summary
`VertexSelector` | `selectVertices()` Selects vertices using an implementation specific method.

Methods inherited from class toxi.geom.mesh.VertexSelector
`addSelection, clearSelection, getMesh, getSelection, invertSelection, selectSimilar, setMesh, size, subtractSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plane

    public Plane plane

### tolerance

    public float tolerance

### classifier

    public Plane.Classifier classifier

Constructor Detail

### PlaneSelector

    public PlaneSelector(Mesh3D mesh,
                         Plane plane,
                         Plane.Classifier classifier)

### PlaneSelector

    public PlaneSelector(Mesh3D mesh,
                         Plane plane,
                         Plane.Classifier classifier,
                         float tolerance)

Method Detail

### selectVertices

    public VertexSelector selectVertices()

  Description copied from class: `VertexSelector`
  Selects vertices using an implementation specific method. This is the only method which needs to be implemented by any selector subclass.

  Specified by:
    `selectVertices` in class `VertexSelector`
  Returns:
    itself

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD